INSTALLIT(1)

NAME
installit - file/directory installation tool

SYNOPSIS
installit [ -o owner ] [ -g group ] [ -O owner ] [ -G group ] [ -m mode ] [ -b backup ] [ -s ] [ -t ] source destination

DESCRIPTION
Installit puts a copy of source into the specified destination.

If source is a period, then destination is taken to be the name of a directory that should be created. Otherwise, source is taken to name an existing file and destination may be either a file or directory; it is interpreted according to the same rules as cp(1).

Installit uses no special privileges to copy files from one place to another.

OPTIONS

-b  If destination names a pre-existing file, it will be removed before the copy is done. To make a backup copy, use the ``-b'' flag; the existing file will be renamed to have the specified extension. If source and destination are the same string, or if the two files are identical, then no copying is done, and only the ``-o'', ``-g'', ``-m'', and ``-s'' flags (see below) are processed. In this case, the modification time on the destination will be updated using touch(1).

-n  Do not update the modification time on the destination.

-o -g -m
    Once the destination has been created, it is possible to set the owner, group, and mode that it should have. This is done by using the ``-o'', ``-g'', and ``-m'' flags, respectively.

-O -G
    The ``-O'' and ``-G'' flags set the owner and group only if installit is being run by root, as determined by whoami(1).

-s  To strip(1) an installed executable, use the ``-s'' flag.

BUGS AND LIMITATIONS
Flags cannot be combined.

The chown(8) command must exist in either the /etc or /usr/etc directory or the user's PATH.

The whoami command must exist in the /usr/ucb directory or the user's PATH.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.